varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
uniform sampler2D u_texture;
uniform mediump vec4 u_factor;

void main() {
	mediump vec4 color = texture2D(u_texture, v_texCoord);
	mediump float grayScale = dot(color.rgb, vec3(0.33) * u_factor.x);
	mediump vec4 gray = vec4(grayScale, grayScale, grayScale, color.a);
	gl_FragColor = v_color * gray;
}