
varying mediump vec4 v_color;
varying mediump vec2 v_texCoord;

uniform sampler2D u_texture;

 
void main()
{
    mediump vec4 InColor = texture2D(u_texture, v_texCoord);
    mediump float luminance = max(dot(vec3(0.3, 0.59, 0.11), InColor.rgb),0.5);
    
    mediump vec4 OutColor = vec4(InColor.rgb + v_color.rgb - 0.5 + (luminance-0.5), InColor.a);
    gl_FragColor = mix(InColor, OutColor, InColor.a);
}    