varying lowp vec2 v_texCoord;

uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform mediump vec4 dist_strength;


void main()
{
	vec2 distortTex = (texture2D(u_texture1, v_texCoord).rg)*2.0-1.0;
	vec2 final_uv_distortion1 = (dist_strength.xy*distortTex.rg)*(cos(u_time*3.0)+1.0)/2.0;
	
	vec4 texColor = texture2D(u_texture, v_texCoord+final_uv_distortion1);

	//vec4 texColor = texture2D(u_texture, v_texCoord);
		
	gl_FragColor = vec4(texColor.xyz,texColor.a);
}