varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord2;
varying lowp vec4 v_color;

uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform mediump vec4 dist_strength;


varying lowp vec2 scrollUV1;
varying lowp vec2 scrollUV2;

void main()
{
	vec2 distortTex1 = texture2D(u_texture1, scrollUV1).rg*2.0-1.0;
	vec2 distortTex2 = texture2D(u_texture1, scrollUV2).rg*2.0-1.0;
	vec2 final_uv_distortion1 = dist_strength.xy*distortTex1.rg;
	vec2 final_uv_distortion2 = dist_strength.zw*distortTex2.rg;
	
	
	vec4 texColor = texture2D(u_texture, v_texCoord+(final_uv_distortion1+final_uv_distortion2));
		
	gl_FragColor =vec4(v_color.rgb * texColor.xyz * 2.0,v_color.a * texColor.a);
}