#!/bin/bash

current_real_episode=$(ls episode[0-9][0-9][0-9]level* | sed 's/episode\([0-9][0-9][0-9]\).*/\1/g' | sort -n | tail -n 1)
current_dream_episode=$(ls episode[0-9][0-9][0-9][0-9]level* | sed 's/episode\([0-9][0-9][0-9][0-9]\).*/\1/g' | sort -n | tail -n 1)


echo "Current Real World episode is: $current_real_episode"
echo "Current Dream World episode is: $current_dream_episode"


echo "Which wold would you like to expand?" 
select realOrDream in "Real" "Dream"; do
	case $realOrDream in
		Real ) 
			echo "Expanding Real World with episode $((current_real_episode + 1))"
			current_episode_to_expand=$current_real_episode
			break;;
		Dream ) 
			echo "Expanding Dream World with episode $((current_dream_episode + 1))"
			current_episode_to_expand=$current_dream_episode
			break;;			
		* ) 
			echo "Please answer 1 for Real World or 2 for Dream World";;
	esac
done


for i in {1..15}
	do cp "episode$current_episode_to_expand""level1.txt" "episode$(( current_episode_to_expand + 1))""level$i.txt"
done


echo "Done."
