varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;

uniform ivec2 u_textureSize;

void main()
{
	float dx = 1. / float(u_textureSize.x);
	float dy = 1. / float(u_textureSize.y);

	vec3 sum = vec3(0,0,0);
    int count = 0;

	for (int i = -25; i <= 25; i+=2) {
        for (int j = -25; j <= 25; j+=2) {
            sum += texture2D(u_texture, v_texCoord + vec2(float(i) * dx, float(j)  * dy)).xyz;
            count ++;
        }
    }
    sum /= float(count);

	gl_FragColor = vec4(sum, 1.);
}
