attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute lowp vec2 a_texCoord;
attribute highp vec3 a_normal;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp mat4 u_modelViewMatrix;
uniform lowp vec4 u_color4;
uniform highp float u_time;

varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color * u_color4;
	v_texCoord = a_texCoord;
}