attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute lowp vec2 a_texCoord;
attribute highp vec3 a_normal;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp mat4 u_modelViewMatrix;
uniform lowp vec4 u_color4;
uniform highp float u_time;

uniform highp vec4 uv_tiling_scroll;
varying lowp vec2 scrollUV0;

varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color * u_color4;
	v_texCoord = a_texCoord;
	
	//ONLY IF WE NEED TO TWEAK 1st UV CHANNEL
	scrollUV0 = v_texCoord.xy*uv_tiling_scroll.xy*vec2(1, v_color.g)+fract(u_time*uv_tiling_scroll.zw*vec2(0,v_color.r));
}